aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMingli Yu <Mingli.Yu@windriver.com>2019-02-20 17:34:47 +0800
committerKhem Raj <raj.khem@gmail.com>2019-02-22 18:14:52 -0800
commit9262600a527d20a75bdcd80eb3fb6b7705c02ec1 (patch)
treed288abe222c14ed9f98917dc6b60b332049b417a
parent7acd6d7692c38e9ad1d5790f457ee812511dcdb5 (diff)
downloadmeta-openembedded-contrib-9262600a527d20a75bdcd80eb3fb6b7705c02ec1.tar.gz
meta-openembedded-contrib-9262600a527d20a75bdcd80eb3fb6b7705c02ec1.tar.bz2
meta-openembedded-contrib-9262600a527d20a75bdcd80eb3fb6b7705c02ec1.zip
upower: add REQUIRED_DISTRO_FEATURES for polkit
After below commits to add polkit as a required distro feature: 97a1a55 polkit: add polkit as a required distro feature c049e02 polkit: inherit distro_features_check Need to add REQUIRED_DISTRO_FEATURES for polkit to fix below error for these packages which depend on polkit: $ bitbake upower ERROR: Nothing PROVIDES 'polkit' (but /build/layers/meta-openembedded/meta-oe/recipes-support/upower/upower_0.99.7.bb DEPENDS on or otherwise requires it) Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
-rw-r--r--meta-oe/recipes-support/upower/upower_0.99.7.bb4
1 files changed, 3 insertions, 1 deletions
diff --git a/meta-oe/recipes-support/upower/upower_0.99.7.bb b/meta-oe/recipes-support/upower/upower_0.99.7.bb
index 2cf3163bb7..3fd91e958f 100644
--- a/meta-oe/recipes-support/upower/upower_0.99.7.bb
+++ b/meta-oe/recipes-support/upower/upower_0.99.7.bb
@@ -11,7 +11,9 @@ SRC_URI = " \
SRC_URI[md5sum] = "236bb439d9ff1151450b3d8582399532"
SRC_URI[sha256sum] = "24bcc2f6ab25a2533bac70b587bcb019e591293076920f5b5e04bdedc140a401"
-inherit autotools pkgconfig gettext gobject-introspection systemd
+inherit autotools pkgconfig gettext gobject-introspection systemd distro_features_check
+
+REQUIRED_DISTRO_FEATURES = "polkit"
PACKAGECONFIG ??= "${@bb.utils.filter('DISTRO_FEATURES', 'systemd', d)}"
PACKAGECONFIG[idevice] = "--with-idevice,--without-idevice,libimobiledevice libplist"